{ inputs, pkgs, ... }:
{
    # add the home manager module
    imports = [ inputs.ags.homeManagerModules.default ];

    programs.ags = {
        enable = true;

        configDir = ./files;

        extraPackages = with inputs.ags.packages.${pkgs.system}; [
            pkgs.gtksourceview
            pkgs.webkitgtk
            pkgs.accountsservice

            battery
            hyprland
            tray
            powerprofiles
            wireplumber
            mpris
            network
            apps
            notifd
        ];
    };
}
